Package org.eclipse.microprofile.openapi.annotations.enums

# Enum ParameterIn

java.lang.Object
java.lang.Enum<ParameterIn>
org.eclipse.microprofile.openapi.annotations.enums.ParameterIn

All Implemented Interfaces:
  `Serializable`, `Comparable<ParameterIn>`

public enum ParameterIn extends Enum<ParameterIn>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COOKIE`
`DEFAULT`
`HEADER`
`PATH`
`QUERY`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static ParameterIn`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ParameterIn[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final ParameterIn DEFAULT

### HEADER

public static final ParameterIn HEADER

### QUERY

public static final ParameterIn QUERY

### PATH

public static final ParameterIn PATH

### COOKIE

public static final ParameterIn COOKIE

## Method Details

### values

public static ParameterIn[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ParameterIn valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ParameterIn>`